# určení přestupného roku

def prestupny_rok(rok):
    """
    určení přestupného roku

    pro zadaný rok dle gregoriánského kalendáře určí,
    zda se jedná o přestupný rok
    návratová hodnota - bool (True pro přestupný rok)
    """
    if rok % 400 == 0:
        return True
    elif rok % 100 == 0:
        return False
    else:
        return rok % 4 == 0

# hlavní program
rok = int(input('Zadej rok: '))
if prestupny_rok(rok):
    print(rok, 'je přestupným rokem')
else:
    print(rok, 'je běžným rokem')
